Bug 1262639 - WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:303 [NEEDINFO]
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:303
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 15:00 EDT by Christian Mehlis
Modified: 2015-11-23 12:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:15:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Christian Mehlis 2015-09-13 15:00:56 EDT
Description of problem:

Pluggin in an ieee802.15.4 stick "270d:1002" resulted in kernel oops

Version-Release number of selected component (if applicable):

Linux foo 4.1.6-200.fc22.x86_64 #1 SMP Mon Aug 17 19:54:31 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

Plug in stick.

Actual results:

Kernel oops, hardware unuseable.

Expected results:

Sixlowpan is working, there is no kernel problem.

Additional info:

[91473.673985] ------------[ cut here ]------------
[91473.674001] WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:303 dev_watchdog+0x254/0x260()
[91473.674005] NETDEV WATCHDOG: enp0s29u1u2 (rndis_host): transmit queue 0 timed out
[91473.674007] Modules linked in: rndis_wlan rndis_host cdc_ether usbnet cdc_acm mii uas usb_storage usblp pl2303 nfnetlink_queue nfnetlink_log nfnetlink rfcomm fuse ccm tun bridge stp llc bnep coretemp kvm_intel snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support kvm snd_hda_codec_conexant btusb snd_hda_codec_generic snd_hda_intel arc4 btbcm iwldvm snd_hda_controller uvcvideo crct10dif_pclmul btintel mac80211 crc32_pclmul videobuf2_vmalloc crc32c_intel bluetooth videobuf2_core videobuf2_memops v4l2_common ghash_clmulni_intel snd_hda_codec videodev iwlwifi snd_hda_core media snd_hwdep snd_seq cfg80211 snd_seq_device thinkpad_acpi snd_pcm intel_ips lpc_ich mfd_core i2c_i801 wmi mei_me tpm_tis tpm snd_timer mei snd rfkill soundcore shpchp acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 i2c_algo_bit
[91473.674096]  drm_kms_helper drm serio_raw e1000e ptp pps_core video [last unloaded: iptable_raw]
[91473.674109] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G        W       4.1.6-200.fc22.x86_64 #1
[91473.674111] Hardware name: LENOVO 3680DE3/3680DE3, BIOS 6QET70WW (1.40 ) 10/11/2012
[91473.674114]  0000000000000000 564611090b18b198 ffff88023bc03d48 ffffffff8179b97d
[91473.674118]  0000000000000000 ffff88023bc03da0 ffff88023bc03d88 ffffffff810a165a
[91473.674122]  ffff88023bc03db8 0000000000000000 ffff880049258000 0000000000000000
[91473.674126] Call Trace:
[91473.674129]  <IRQ>  [<ffffffff8179b97d>] dump_stack+0x45/0x57
[91473.674145]  [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
[91473.674149]  [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
[91473.674153]  [<ffffffff816a7674>] dev_watchdog+0x254/0x260
[91473.674157]  [<ffffffff816a7420>] ? qdisc_rcu_free+0x40/0x40
[91473.674163]  [<ffffffff81109109>] call_timer_fn+0x39/0x110
[91473.674167]  [<ffffffff816a7420>] ? qdisc_rcu_free+0x40/0x40
[91473.674170]  [<ffffffff811097ea>] run_timer_softirq+0x24a/0x300
[91473.674175]  [<ffffffff810a5cdb>] __do_softirq+0x10b/0x2d0
[91473.674179]  [<ffffffff810a60e5>] irq_exit+0x145/0x150
[91473.674187]  [<ffffffff817a4d76>] smp_apic_timer_interrupt+0x46/0x60
[91473.674191]  [<ffffffff817a2dfe>] apic_timer_interrupt+0x6e/0x80
[91473.674193]  <EOI>  [<ffffffff81631fdd>] ? cpuidle_enter_state+0x9d/0x1f0
[91473.674202]  [<ffffffff81631fb3>] ? cpuidle_enter_state+0x73/0x1f0
[91473.674206]  [<ffffffff81632167>] cpuidle_enter+0x17/0x20
[91473.674212]  [<ffffffff810e5361>] cpu_startup_entry+0x2e1/0x3f0
[91473.674219]  [<ffffffff817920dc>] rest_init+0x7c/0x80
[91473.674226]  [<ffffffff81d5202c>] start_kernel+0x4a3/0x4c4
[91473.674231]  [<ffffffff81d51120>] ? early_idt_handler_array+0x120/0x120
[91473.674235]  [<ffffffff81d51339>] x86_64_start_reservations+0x2a/0x2c
[91473.674239]  [<ffffffff81d51485>] x86_64_start_kernel+0x14a/0x16d
[91473.674242] ---[ end trace 344dfd6adeb34b72 ]---
Comment 1 David Jones 2015-10-05 11:12:51 EDT
After performing upgrades, dmesg is reporting the following warning. 

kernel upgraded from 4.1.7-200.fc22.x86_64 to 4.1.8-200.fc22.x86_64 .


------------[ cut here ]------------
WARNING: CPU: 2 PID: 0 at net/sched/sch_generic.c:303 dev_watchdog+0x254/0x260()
NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
Modules linked in: cmac fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat hid_sensor_accel_3d hid_sensor_magn_3d hid_sensor_rotation hid_sensor_incl_3d hid_sensor_gyro_3d hid_sensor_trigger hid_sensor_iio_common industrialio_triggered_buffer snd_hda_codec_hdmi kfifo_buf industrialio intel_rapl uvcvideo iosf_mbi videobuf2_vmalloc videobuf2_core x86_pkg_temp_thermal ath3k videobuf2_memops v4l2_common videodev btusb snd_hda_codec_realtek media coretemp btbcm btintel
[  178.311710]  bluetooth snd_hda_codec_generic kvm arc4 ath9k crct10dif_pclmul crc32_pclmul ath9k_common crc32c_intel ath9k_hw snd_hda_intel snd_hda_controller ghash_clmulni_intel ath snd_hda_codec mac80211 snd_hda_core snd_hwdep cfg80211 hp_wmi sparse_keymap rfkill iTCO_wdt iTCO_vendor_support snd_seq snd_seq_device joydev hp_accel lis3lv02d rtsx_pci_ms memstick snd_pcm input_polldev i2c_i801 mei_me mei wmi snd_timer snd shpchp soundcore lpc_ich hp_wireless hid_sensor_hub hid_multitouch i915 rtsx_pci_sdmmc i2c_algo_bit 8021q mmc_core drm_kms_helper garp stp llc mrp drm r8169 serio_raw rtsx_pci mii mfd_core video
CPU: 2 PID: 0 Comm: swapper/2 Not tainted 4.1.8-200.fc22.x86_64 #1
Hardware name: Hewlett-Packard HP ENVY 15 x360 PC /22D6, BIOS F.26 01/19/2015
0000000000000000 486b51a13967bad5 ffff88025f283d48 ffffffff81799a3d
0000000000000000 ffff88025f283da0 ffff88025f283d88 ffffffff810a165a
ffff88025f283da8 0000000000000000 ffff8802544e2000 0000000000000002
Call Trace:
 <IRQ>  [<ffffffff81799a3d>] dump_stack+0x45/0x57
 [<ffffffff810a165a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff810a16e5>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff816a5734>] dev_watchdog+0x254/0x260
 [<ffffffff816a54e0>] ? qdisc_rcu_free+0x40/0x40
 [<ffffffff81109139>] call_timer_fn+0x39/0x110
 [<ffffffff816a54e0>] ? qdisc_rcu_free+0x40/0x40
 [<ffffffff8110981a>] run_timer_softirq+0x24a/0x300
 [<ffffffff810a5cdb>] __do_softirq+0x10b/0x2d0
 [<ffffffff810a60e5>] irq_exit+0x145/0x150
 [<ffffffff817a2e36>] smp_apic_timer_interrupt+0x46/0x60
 [<ffffffff817a0ebe>] apic_timer_interrupt+0x6e/0x80
 <EOI>  [<ffffffff81631fa0>] ? cpuidle_enter_state+0xa0/0x1f0
 [<ffffffff81631f73>] ? cpuidle_enter_state+0x73/0x1f0
 [<ffffffff81632127>] cpuidle_enter+0x17/0x20
 [<ffffffff810e5391>] cpu_startup_entry+0x2e1/0x3f0
 [<ffffffff8104fb51>] start_secondary+0x191/0x1d0
 ---[ end trace e30f29ef3505d3b0 ]---
Comment 2 Justin M. Forbes 2015-10-20 15:27:02 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Fedora Kernel Team 2015-11-23 12:15:12 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.